﻿@model MessageReadViewModel

@{
    ViewBag.Title = "Read Message";
    Layout = "~/Views/Message/_Layout.cshtml";
}

<div class="box-header with-border">
    <h2 class="box-title">Read Mail</h2>
    <div class="box-tools pull-right">
        <a href="#" class="btn btn-box-tool" data-toggle="tooltip" title="Previous"><i class="fa fa-chevron-left"></i></a>
        <a href="#" class="btn btn-box-tool" data-toggle="tooltip" title="Next"><i class="fa fa-chevron-right"></i></a>
    </div>
</div>
<!-- /.box-header -->
<div class="box-body no-padding">
    <div class="mailbox-read-info">
        <h3>@Model.Title</h3>
        <h5>
            From: @Model.Sender
            <span class="mailbox-read-time pull-right">15 Feb. 2015 11:03 PM</span>
        </h5>
    </div>
    <!-- /.mailbox-read-info -->
    @*<div class="mailbox-controls with-border text-center">
            <div class="btn-group">
                <button type="button" class="btn btn-default btn-sm" data-toggle="tooltip" data-container="body" title="Delete">
                    <i class="fa fa-trash-o"></i>
                </button>
                <button type="button" class="btn btn-default btn-sm" data-toggle="tooltip" data-container="body" title="Reply">
                    <i class="fa fa-reply"></i>
                </button>
                <button type="button" class="btn btn-default btn-sm" data-toggle="tooltip" data-container="body" title="Forward">
                    <i class="fa fa-share"></i>
                </button>
            </div>
            <!-- /.btn-group -->
            <button type="button" class="btn btn-default btn-sm" data-toggle="tooltip" title="Print">
                <i class="fa fa-print"></i>
            </button>
        </div>
        <!-- /.mailbox-controls -->*@

    @foreach (var item in Model.Messages)
    {
        <h5>@item.Sender:</h5>
        <div class="mailbox-read-message">
            @item.Title
        </div>
        
        <hr style="border: 1px dashed #808080; border-style: none none dashed;"/>

    }
    <!-- /.mailbox-read-message -->
    <!-- quick email widget -->
    <div id="replyBox" class="box box-info">
       
        <form action="@Url.Action("Reply")" method="post">
            <div class="box-body">


                @Html.HiddenFor(model => model.Id)

                <input type="hidden" name="Receiver" value="@Model.Sender" />

                @*<div class="form-group">
                        <input type="email" class="form-control" name="emailto" placeholder="Email to:">
                    </div>
                    <div class="form-group">
                        <input type="text" class="form-control" name="subject" placeholder="Subject">
                    </div>*@
                <div>
                    <textarea name="text" class="textarea" placeholder="Message" style="width: 100%; height: 125px; font-size: 14px; line-height: 18px; border: 1px solid #dddddd; padding: 10px;"></textarea>
                </div>

            </div>
            <div class="box-footer clearfix">
                <button type="submit" class="pull-right btn btn-default" id="sendEmail">
                    Send
                    <i class="fa fa-arrow-circle-right"></i>
                </button>
            </div>
        </form>

    </div>
</div>
<!-- /.box-body -->
<!-- /.box-footer -->
<div class="box-footer">
    <div class="pull-right">
        @*<button onclick="openReply()" id="replyButton" type="button" class="btn btn-default">
            <i class="fa fa-reply"></i> Reply
        </button>*@

        @*<button type="button" class="btn btn-default"><i class="fa fa-share"></i> Forward</button>*@
    </div>
    @*<button type="button" class="btn btn-default"><i class="fa fa-trash-o"></i> Delete</button>*@
    @*<button type="button" class="btn btn-default"><i class="fa fa-print"></i> Print</button>*@
</div>



